summaryrefslogtreecommitdiffstats
path: root/packaging/makeself/install-alpine-packages.sh
diff options
context:
space:
mode:
authorJames Mills <prologic@shortcircuit.net.au>2020-05-26 12:19:27 +1000
committerGitHub <noreply@github.com>2020-05-26 12:19:27 +1000
commita20e8f163fde7d64cbc258b6903230dda651adf9 (patch)
treee39afc950b1740c4853a346eb8a98f3f72f2e1ef /packaging/makeself/install-alpine-packages.sh
parentb5f5675cb53d4b2f276666b55ef582aa8ba7a574 (diff)
Add CI for our Static Netdata builds (which kickstart-static64 uses) (#9130)
* Add tool to build the static x864_64 Netdata * Add error if the netdata binary is not statically linked * Add Github Workflow for testing static builds * Don't use docker run -i -t if not on a tty
Diffstat (limited to 'packaging/makeself/install-alpine-packages.sh')
-rwxr-xr-xpackaging/makeself/install-alpine-packages.sh55
1 files changed, 28 insertions, 27 deletions
diff --git a/packaging/makeself/install-alpine-packages.sh b/packaging/makeself/install-alpine-packages.sh
index 7872f2bcf7..3aee6922d0 100755
--- a/packaging/makeself/install-alpine-packages.sh
+++ b/packaging/makeself/install-alpine-packages.sh
@@ -12,32 +12,33 @@ apk update
# Add required APK packages
apk add --no-cache \
- bash \
- wget \
- curl \
- ncurses \
- git \
- netcat-openbsd \
- alpine-sdk \
- autoconf \
- automake \
- gcc \
- make \
- cmake \
- libtool \
- pkgconfig \
- util-linux-dev \
- openssl-dev \
- gnutls-dev \
- zlib-dev \
- libmnl-dev \
- libnetfilter_acct-dev \
- libuv-dev \
- lz4-dev \
- openssl-dev \
- snappy-dev \
- protobuf-dev \
- || exit 1
+ bash \
+ wget \
+ curl \
+ ncurses \
+ git \
+ netcat-openbsd \
+ alpine-sdk \
+ autoconf \
+ automake \
+ gcc \
+ make \
+ cmake \
+ libtool \
+ pkgconfig \
+ util-linux-dev \
+ openssl-dev \
+ gnutls-dev \
+ zlib-dev \
+ libmnl-dev \
+ libnetfilter_acct-dev \
+ libuv-dev \
+ lz4-dev \
+ openssl-dev \
+ snappy-dev \
+ protobuf-dev \
+ binutils ||
+ exit 1
# snappy doesnt have static version in alpine, let's compile it
export SNAPPY_VER="1.1.7"
@@ -60,4 +61,4 @@ rm judy.tar.gz
cd /judy-${JUDY_VER}
CFLAGS="-O2 -s" CXXFLAGS="-O2 -s" ./configure
make
-make install;
+make install